# Use an official Python runtime as instance_a parent image
FROM python:3.9

# Set environment variables
ENV PYTHONDONTWRITEBYTECODE 1
ENV PYTHONUNBUFFERED 1

# Set work directory
WORKDIR /wiki

# Install dependencies
RUN pip install --no-cache-dir mkdocs

# Run the application
CMD ["mkdocs", "serve", "--dev-addr=0.0.0.0:8001"]
